﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows;
using Infragistics.Windows.Editors;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void RepeatButton_Click(object sender, RoutedEventArgs e)
        {
            XamNumericEditor xne = Utilities.GetAncestorFromType(sender as DependencyObject, typeof(XamNumericEditor), true) as XamNumericEditor;
            CaretElement ce = Utilities.GetDescendantFromType(xne, typeof(CaretElement), true) as CaretElement;
            ce.Background = Brushes.Transparent;
        }

        private void XamNumericEditor_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            CaretElement ce = Utilities.GetDescendantFromType(sender as DependencyObject, typeof(CaretElement), true) as CaretElement;
            if (ce != null)
            {
                ce.Background = Brushes.Black;
            }            
        }
    }
}
